<?php
/**
 * All settings related to Featured Category.
 *
 * @package NewsCurve
 */
$wp_customize->add_section(
	'featured_category',
	array(
		'title' => esc_html__( 'Category Section', 'newscurve' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'newscurve_options[enable_featured_category]',
    array(
        'default'           => $newscurve_default['enable_featured_category'],
        'sanitize_callback' => 'newscurve_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newscurve_options[enable_featured_category]',
    array(
        'label'       => esc_html__( 'Enable Featured Category', 'newscurve' ),
        'section'     => 'featured_category',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newscurve_options[featured_category_title]',
    array(
        'default'           => $newscurve_default['featured_category_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newscurve_options[featured_category_title]',
    array(
        'label'    => __( 'Featured Category', 'newscurve' ),
        'section'  => 'featured_category',
        'type'     => 'text',
    )
);

for ($i=1; $i <=4 ; $i++) { 
    $wp_customize->add_setting(
    'newscurve_options[featured_category_'.$i.']',
    array(
        'default'           => '',
        'sanitize_callback' => 'absint',
    )
    );
    $wp_customize->add_control(
        new Newscurve_Dropdown_Taxonomies_Control(
            $wp_customize,
            'newscurve_options[featured_category_'.$i.']',
            array(
                'label'           => __( 'Choose Category -', 'newscurve' ).$i,
                'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'newscurve' ),
                'section'         => 'featured_category',
            )
        )
    );
}

